Skip to main content

Update Association

PUT 

/client/users/:correlation_id/associations/types/:associationType/values/:associationValue

This request is used to update account association.

newValue is mandatory parameter.

New Association Value can be 3-128 alphanumeric characters with space, hyphen and underscore.

Request Body

AttributeDefinitionFormatNotes
newValueProvides new value for associationStringMandatory attribute.

Response

AttributeDefinitionFormatNotes
accountIDThe accountId for which association was updated for.String
associationTypeType of the associationString
associationValueValue of the associationString

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestAccount Association feature is not supported.INVALID_REQUESTA valid request to update association but the feature is disabled.
400 Bad RequestSHIP_TO association type is not valid.INVALID_REQUESTA request with associationType that is not configured in system.
400 Bad RequestAssociation already exists.INVALID_REQUESTA valid request to add more than one association which is invalid.
400 Bad RequestThe associationValue should be 3-128 characters. Possible characters: a-z, A-Z, space, underscore, hyphen.INVALID_REQUESTThe associationValue is not valid. Comply with format requirements.

Request

Responses

200 - Update Account Association